local themes_path              = require("gears.filesystem").get_themes_dir()

local xresources               = require("beautiful.xresources")
local dpi                      = xresources.apply_dpi

local theme                    = {}

theme.font                     = "Fira Code Nerd Font 10"
theme.tasklist_disable_icon    = true
theme.wibar_height             = 30

theme.bg_normal                = "#293d38" -- hsl(165deg 20% 20%)
theme.bg_focus                 = "#a9d6ca" -- hsl(165deg 35% 75%)
theme.bg_urgent                = "#bc8f9b" -- hsl(345deg 25% 65%)
theme.bg_minimize              = "#62847b" -- hsl(165deg 15% 45%)
theme.bg_systray               = theme.bg_normal
theme.tasklist_bg_focus        = "#8fbcb1" -- hsl(165deg 25% 65%)

theme.fg_normal                = "#a9d6ca" -- hsl(165deg 35% 75%)"
theme.fg_focus                 = "#363d3e"
theme.fg_urgent                = "#e9f2f5"
theme.fg_minimize              = "#4b5456"
theme.taglist_fg_empty         = "#62847b" -- hsl(165deg 15% 45%)"

theme.useless_gap              = dpi(1)
theme.border_width             = dpi(2)
theme.border_normal            = "#bebebe"
theme.border_focus             = "#ff7f50"
theme.border_marked            = "#91231c"

theme.bg_wallpaper             = "#b0bec2"

theme.hotkeys_font             = theme.font
theme.hotkeys_description_font = theme.font
theme.hotkeys_bg               = theme.border_normal
theme.hotkeys_modifiers_fg     = theme.bg_focus

-- You can use your own layout icons like this:
theme.layout_fairh             = themes_path .. "default/layouts/fairhw.png"
theme.layout_fairv             = themes_path .. "default/layouts/fairvw.png"
theme.layout_floating          = themes_path .. "default/layouts/floatingw.png"
theme.layout_magnifier         = themes_path .. "default/layouts/magnifierw.png"
theme.layout_max               = themes_path .. "default/layouts/maxw.png"
theme.layout_fullscreen        = themes_path .. "default/layouts/fullscreenw.png"
theme.layout_tilebottom        = themes_path .. "default/layouts/tilebottomw.png"
theme.layout_tileleft          = themes_path .. "default/layouts/tileleftw.png"
theme.layout_tile              = themes_path .. "default/layouts/tilew.png"
theme.layout_tiletop           = themes_path .. "default/layouts/tiletopw.png"
theme.layout_spiral            = themes_path .. "default/layouts/spiralw.png"
theme.layout_dwindle           = themes_path .. "default/layouts/dwindlew.png"
theme.layout_cornernw          = themes_path .. "default/layouts/cornernww.png"
theme.layout_cornerne          = themes_path .. "default/layouts/cornernew.png"
theme.layout_cornersw          = themes_path .. "default/layouts/cornersww.png"
theme.layout_cornerse          = themes_path .. "default/layouts/cornersew.png"

return theme
