return {
  {
    "otavioschwanck/arrow.nvim",
    dependencies = {
      { "nvim-tree/nvim-web-devicons" },
    },
    opts = {
      show_icons = true,
      leader_key = '-',        -- Recommended to be a single key
      buffer_leader_key = '+', -- Per Buffer Mappings
    }
  },

  {
    "chentoast/marks.nvim",
    event = "VeryLazy",
    config = true,
    keys = {
      { '<leader>ma', '<cmd>MarksListAll<CR>' },
      { '<leader>mb', '<cmd>MarksListBuf<CR>' },
      { '<leader>mg', '<cmd>MarksListGlobal<CR>' },
    },
  },

  {
    "bassamsdata/namu.nvim",
    config = function()
      require("namu").setup({
        -- Enable the modules you want
        namu_symbols = {
          enable = true,
          options = {}, -- here you can configure namu
        },
        -- Optional: Enable other modules if needed
        ui_select = { enable = false }, -- vim.ui.select() wrapper
      })
      -- === Suggested Keymaps: ===
      vim.keymap.set("n", "<leader>'", ":Namu symbols<cr>", {
        desc = "Jump to LSP symbol",
        silent = true,
      })
      vim.keymap.set("n", "<leader>\\", ":Namu workspace<cr>", {
        desc = "LSP Symbols - Workspace",
        silent = true,
      })
    end,
  }
}
